Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000166openvibepatch submissionpublic2014-12-29 18:442015-02-20 09:29
Reporterozan.caglayan 
Assigned Tojtlindgr 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSLinuxOS Versionother
Summary0000166: Automatically set number of parallel make jobs on linux
DescriptionAttached is a trivial patch to set the # of parallel build jobs on linux.
TagsNo tags attached.
Attached Filespatch file icon 0001-linux-build-Set-number-of-parallel-jobs-automaticall.patch [^] (709 bytes) 2014-12-29 18:44 [Show Content]

- Relationships

-  Notes
(0001169)
jtlindgr (administrator)
2015-01-05 10:42

Thanks for the patch! However, the man page on Ubuntu 12.04 says that if '-j' switch is used without any number, the number of simultaneous jobs is not limited. Perhaps we should use that instead, it'd look more clean.

What do you think?
(0001170)
jtlindgr (administrator)
2015-01-05 10:54

Ok, I tested: -j without a parameter can really launch tens of cc's which doesn't make much sense IMO. I'll consider your patch.
(0001189)
jtlindgr (administrator)
2015-02-20 09:29

Accepted the patch, git 67efc7ce554e01c965ea003d28e9482336ce3a84

Thank you for the contribution :)

- Issue History
Date Modified Username Field Change
2014-12-29 18:44 ozan.caglayan New Issue
2014-12-29 18:44 ozan.caglayan File Added: 0001-linux-build-Set-number-of-parallel-jobs-automaticall.patch
2015-01-05 10:42 jtlindgr Note Added: 0001169
2015-01-05 10:42 jtlindgr Assigned To => jtlindgr
2015-01-05 10:42 jtlindgr Status new => feedback
2015-01-05 10:54 jtlindgr Note Added: 0001170
2015-01-05 10:54 jtlindgr Status feedback => acknowledged
2015-02-12 10:11 jtlindgr Status acknowledged => assigned
2015-02-20 09:29 jtlindgr Note Added: 0001189
2015-02-20 09:29 jtlindgr Status assigned => resolved
2015-02-20 09:29 jtlindgr Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker